org.apache.sling.crankstart.api

## Class CrankstartException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.sling.crankstart.api.CrankstartException

All Implemented Interfaces:
  Serializable

    public class CrankstartException
    extends RuntimeException

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`CrankstartException(String reason)`
`CrankstartException(String reason, Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CrankstartException

    public CrankstartException(String reason)

#### CrankstartException

    public CrankstartException(String reason,
                       Throwable cause)